# -*- coding:Utf-8 -*-
# sici_jail_ods V1.0 by Sicilia (12.07.2011)

import es, playerlib, psyco, cfglib
from path import path

psyco.full()



config = cfglib.AddonCFG(es.getAddonPath("sici_jail_ods") + "/sici_jail_ods.cfg")
 
config.text("******************************")
config.text("******************************")
config.text("  Sici Jail ODS SETTINGS")
config.text("******************************")
config.text("******************************")

config.text("")
config.text("******************************")
config.text("  Terroriste SETTINGS")
config.text("******************************")

max_t   = config.cvar("max_t",   14, "Nombres de terroristes maximum.")
speed_t   = config.cvar("speed_t",   1.1, "Vitesse des terroristes, par defaut 1")
health_t   = config.cvar("health_t",   100, "Vie des terroristes, par defaut 100")
armor_terro   = config.cvar("armor_terro",   0, "Armure des terroristes, par defaut 0")

config.text("")
config.text("******************************")
config.text("  Anti-terroriste SETTINGS")
config.text("******************************")

max_ct   = config.cvar("max_ct",   6, "Nombres de anti-terroristes maximum.")
speed_ct   = config.cvar("speed_ct",   1, "Vitesse des anti-terroristes, par defaut 1")
health_ct   = config.cvar("health_ct",   120, "Vie des anti-terroristes, par defaut 100")
armor_ct  = config.cvar("armor_ct",   100, "Armure des anti-terroristes, par defaut 0")

config.text("")
config.text("******************************")
config.text("  Variable SETTINGS")
config.text("******************************")

temps_rounds   = config.cvar("temps_rounds",   7, "Temps de round, par defaut 7.")

config.write() # Writes the .cfg to file
 
#############
#PAS TOUCHE##
#############

# Antention si votre serveur est un 15 slot et que vous décidez de mettre un maximum de 5 CT alors definissez
# le nombre de T maximum a 10 ce qui fera 15 joueurs.etc...

# Terroriste
#max_t = es.ServerVar("max_t", "14", "Nombres de t Maximum")  # Maximum de t (plus de t est plus marrant)
#speed_t = es.ServerVar("speed_ct", "1.1") # Vitesse 1 = Default
#health_t = es.ServerVar("health_t", "100")  # Vie 100 = Default
#armor_terro = es.ServerVar("armor_t", "0")  # Mettre a pas plus de 100 risque de crash serveur

# Anti-Terroriste
#max_ct = es.ServerVar("max_ct", "6", "Nombres de Ct Maximum") # Maximum de ct
#speed_ct = es.ServerVar("speed_ct", "1", "Vitesse") # Vitesse 1 = Default
#health_ct = es.ServerVar("health_ct", "120", "vie") # Vie 100 = Default
#armor_ct = es.ServerVar("armor_ct", "100", "armure") # Mettre a pas plus de 100 risque de crash serveur*# Variables serveur

limit_team = es.ServerVar("mp_limitteams")
auto_balance = es.ServerVar("mp_autoteambalance")
temps_round = es.ServerVar("mp_roundtime")
#temps_rounds = es.ServerVar("temps_rounds", "7")


info = es.AddonInfo()
info.version = "1.0a"
info.author = "Sicilia"
info.name = "sici_jail_ods"
info.url = "http://addons.eventscripts.com/addons/user/22862"
info.date = "12.07.2011"
info.sponsor = "www.fog.asso.fr"

es.ServerVar('Sici Jail Old School', info.version, 'Script Jail By Sicilia').makepublic()


def load():
    es.msg("#multi", "#lightgreen[#greenSici Jail ODS#lightgreen] #defaultWaiting.")    
    #es.mexec('../addons/eventscripts/sici_jail_ods/config/config.cfg')
	config.execute()
	es.addons.registerClientCommandFilter(filtreCommandesClientes)
	es.dbgmsg(0,"le max de ct est : %s" % max_ct)
	es.dbgmsg(0,"le max de t est : %s" % max_t)
    es.dbgmsg(0, '[Sici Jail ODS] Beginning main script load...')
    es.dbgmsg(0, '[Sici Jail ODS] Executed main configuration file')
    start()
    es.dbgmsg(0, '[Sici Jail ODS] Executed the main script. Script is ready.')        
    limit_team.set("0")
    auto_balance.set("0")
    temps_round.set(int(temps_rounds))


    es.msg("#multi", "#lightgreen[#greenSici Jail ODS#lightgreen] #defaultLoaded.")
    es.msg("#multi", "#lightgreen[#greenSici Jail ODS#lightgreen] #defaultScript By Sicilia")
    es.msg("#multi", "#lightgreen[#greenSici Jail ODS#lightgreen] #defaultFog.Asso.Fr")
    es.server.queuecmd("mp_restartgame 2")

####################################################################
######################### Player_Spawn #############################
####################################################################

def player_spawn(E):
    es.server.cmd("es_xfire %s player_weaponstrip kill;" % E["userid"] +
                  "es_xgive %s player_weaponstrip;" % E["userid"] +
                  "es_xfire %s player_weaponstrip strip" % E["userid"])
    es.server.queuecmd("es_xgive %s weapon_knife" % E["userid"])

####################################################################
######################### Es_Map_Start #############################
####################################################################

def es_map_start(E):
    #es.mexec('../addons/eventscripts/sici_jail_ods/config/config.cfg')
	config.execute()	
    limit_team.set("0")
    temps_round.set(int(temps_rounds))
    auto_balance.set("0")  


def filtreCommandesClientes(userid, argv):

  if argv[0] == "jointeam" and argv[1] == "3" and es.getplayercount(3) > int(max_ct): 
    es.tell(userid,"Il y trop d'anti-terroristes")
    return False
    
  return True 

  if argv[0] == "jointeam" and argv[1] == "2" and es.getplayercount(2) > int(max_t): 
    es.tell(userid,"Il y trop de terroristes")
    return False
    
  return True 


def unload():
  es.addons.unregisterClientCommandFilter(filtreCommandesClientes)
  
  
####################################################################
############################## MODULES #############################
####################################################################
    
    
module_file = es.getAddonPath("sici_jail_ods") + '/config/addons.txt'
modules_to_import = []
loaded_modules = []

def start():
    file = open(module_file, 'r')
    lines = file.readlines()
    for line in filter(lambda line: not line.startswith('//') and not line.startswith('\n'), lines):
        modules_to_import.append(line.replace('load_module', '').strip())
            
    loadModules()
    
def loadModules():
    for module in modules_to_import:
        p = es.getAddonPath("sici_jail_ods") + '/modules/%s/%s.py' % (module, module)
        if path(p).isfile():
            es.load('sici_jail_ods/modules/%s' % module)
            loaded_modules.append(module)
        
def unloadModules():
    global loaded_modules

    for module in loaded_modules:
        es.unload('sici_jail_ods/modules/%s' % module)

    loaded_modules = []

    
########################################################################
########################################################################
########################################################################  
